export const checkQueryString = () => {
  // console.log(window.location.search);
  const params = new URLSearchParams(window.location.search);
  // console.log(params.get("s"))
  if(params.get("s")){
    doApi(params.get("s"))
  }
  else{
    doApi("javascript");
  }
}



export const doApi = async(_searchQ) => {
  let url = `https://v2.jokeapi.dev/joke/Any?contains=${_searchQ}`;
  let resp = await axios.get(url);
  console.log(resp.data);
  updateInfo(resp.data);
  addQueryToUrl(_searchQ)
  
}

const addQueryToUrl = (_searchQ) => {
  let params = new URL(window.location.href);
  params.searchParams.set("s",_searchQ);
  history.pushState(null,'',params)
}

const updateInfo = (_info) => {
  document.querySelector("#id_category").innerHTML = _info.category;
  if(_info.setup){
    document.querySelector("#id_info").innerHTML = `
    <p class="h4" >Setup: ${_info.setup}</p>
    <p class="h5">Delivery: ${_info.delivery}</p>
    `
  }
  else if(_info.joke){
    document.querySelector("#id_info").innerHTML = `
    <p class="h4" >Joke: ${_info.joke}</p>
    `
  }
  else if(_info.error){
    document.querySelector("#id_info").innerHTML = `
    <p class="h4" >Jokes not found!</p>
    `
  }
}